<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

// Route::get('/', function () {
//     return view('pages.home');
// });


// Route::get('/home', 'HomeController@index')->name('home');

// //search - example like homepage
// Route::get('/search','TopController@search');
// Route::get('/','TopController@index');
// Route::get('/buy','BuyController@index');
// Route::get('/buy/detail/{id}','BuyController@detail')->where('id', '[0-9]+');
// Route::get('/buy/flow.html','BuyController@flow');
// Route::get('/buy/cost.html','BuyController@cost');
// Route::get('/buy/loan/{id}','BuyController@loan');
// Route::get('/buy/school','BuyController@school');
// Route::get('/buy/line','BuyController@line');

// Route::get('/buy/konan','BuyController@bukkenlist')->name('search-list');
// Route::get('/buy/konan/nhouse','BuyController@bukkenlist')->name('search-list');
// Route::get('/buy/konan/uhouse','BuyController@bukkenlist')->name('search-list');
// Route::get('/buy/konan/land','BuyController@bukkenlist')->name('search-list');
// Route::get('/buy/konan/mansion','BuyController@bukkenlist')->name('search-list');

// Route::get('/buy/minami','BuyController@bukkenlist')->name('search-list');
// Route::get('/buy/minami/nhouse','BuyController@bukkenlist')->name('search-list');
// Route::get('/buy/minami/uhouse','BuyController@bukkenlist')->name('search-list');
// Route::get('/buy/minami/land','BuyController@bukkenlist')->name('search-list');
// Route::get('/buy/minami/mansion','BuyController@bukkenlist')->name('search-list');

// Route::get('/buy/sakae','BuyController@bukkenlist')->name('search-list');
// Route::get('/buy/sakae/nhouse','BuyController@bukkenlist')->name('search-list');
// Route::get('/buy/sakae/uhouse','BuyController@bukkenlist')->name('search-list');
// Route::get('/buy/sakae/land','BuyController@bukkenlist')->name('search-list');
// Route::get('/buy/sakae/mansion','BuyController@bukkenlist')->name('search-list');

// Route::get('/buy/isogo','BuyController@bukkenlist')->name('search-list');
// Route::get('/buy/isogo/nhouse','BuyController@bukkenlist')->name('search-list');
// Route::get('/buy/isogo/uhouse','BuyController@bukkenlist')->name('search-list');
// Route::get('/buy/isogo/land','BuyController@bukkenlist')->name('search-list');
// Route::get('/buy/isogo/mansion','BuyController@bukkenlist')->name('search-list');

// Route::get('/buy/kanazawa','BuyController@bukkenlist')->name('search-list');
// Route::get('/buy/kanazawa/nhouse','BuyController@bukkenlist')->name('search-list');
// Route::get('/buy/kanazawa/uhouse','BuyController@bukkenlist')->name('search-list');
// Route::get('/buy/kanazawa/land','BuyController@bukkenlist')->name('search-list');
// Route::get('/buy/kanazawa/mansion','BuyController@bukkenlist')->name('search-list');


// // ＜新着物件＞/buy/new.html
// Route::get('/buy/new.html','BuyController@bukkenlistOther')->name('search-list');
// // ＜プライスダウン＞/buy/pricedown.html
// Route::get('/buy/pricedown.html','BuyController@bukkenlistOther')->name('search-list');
// // ＜オープンハウス＞/buy/openhouse.html
// Route::get('/buy/openhouse.html','BuyController@bukkenlistOther')->name('search-list');
// // ＜自社プロデュース＞/buy/produce.html
// Route::get('/buy/produce.html','BuyController@bukkenlistOther')->name('search-list');
// // ＜高低差なし＞/buy/flat.html
// Route::get('/buy/flat.html','BuyController@bukkenlistOther')->name('search-list');
// // ＜バス停1分以内＞/buy/bus.html
// Route::get('/buy/bus.html','BuyController@bukkenlistOther')->name('search-list');
// // ＜駅徒歩5分以内＞/buy/stwalk.html
// Route::get('/buy/stwalk.html','BuyController@bukkenlistOther')->name('search-list');
// // ＜小学校10分以内＞/buy/scwalk.html
// Route::get('/buy/scwalk.html','BuyController@bukkenlistOther')->name('search-list');
// // ＜即入居可＞/buy/entry.html
// Route::get('/buy/entry.html','BuyController@bukkenlistOther')->name('search-list');
// // ＜リフォーム・リノベーション＞/buy/reform.html
// Route::get('/buy/reform.html','BuyController@bukkenlistOther')->name('search-list');
// // ＜ペット飼育可＞/buy/pet.html
// Route::get('/buy/pet.html','BuyController@bukkenlistOther')->name('search-list');
// // ＜管理費・修繕費2万円以下＞/buy/fee.html
// Route::get('/buy/fee.html','BuyController@bukkenlistOther')->name('search-list');
// // ＜LDK15帖以上＞/buy/ldk.html
// Route::get('/buy/ldk.html','BuyController@bukkenlistOther')->name('search-list');
// // ＜エレベーター有＞/buy/elevator.html
// Route::get('/buy/elevator.html','BuyController@bukkenlistOther')->name('search-list');
// // ＜2台以上駐車可＞/buy/parking.html
// Route::get('/buy/parking.html','BuyController@bukkenlistOther')->name('search-list');
// // ＜2階建＞/buy/floors.html
// Route::get('/buy/floors.html','BuyController@bukkenlistOther')->name('search-list');
// // ＜建築条件なし＞/buy/conditions.html
// Route::get('/buy/conditions.html','BuyController@bukkenlistOther')->name('search-list');
// // ＜角地＞/buy/corner.html
// Route::get('/buy/corner.html','BuyController@bukkenlistOther')->name('search-list');
// // ＜角地＞/buy/corner.html
// Route::get('/buy/recommended.html','BuyController@bukkenlistOther')->name('search-list');


// Route::get('/buy/bukkenlist','BuyController@bukkenlist')->name('search-list');
// Route::post('/buy/bukkenlist','BuyController@bukkenlistSendMail')->name('search-list');

// Route::get('/buy/contact/{id}','BuyController@contact');
// Route::get('/buy/reserve/{id}','BuyController@reserve');
// Route::get('/buy/print/{id}','BuyController@print');



// Route::get('/sell','SellController@index');
// Route::get('/sell/flow.html','SellController@flow');
// Route::get('/sell/type.html','SellController@type');


// Route::get('/sell/contact','SellController@contact');

// Route::get('/shop','ShopController@index');
// Route::get('/shop/{shop_id}.html','ShopController@detail');

// Route::get('/stafflist','StaffController@index');
// Route::get('/staff/{staff_id}.html','StaffController@detail');
// Route::get('/staff/{staff_id}','StaffController@detail');


// Route::get('/reform','ReformController@index');
// Route::get('/reform/works/','ReformController@example');
// Route::get('/reform/works/{example_id}.html','ReformController@detail');
// Route::get('/reform/merit.html','ReformController@merit');
// Route::get('/reform/flow.html','ReformController@flow');


// Route::get('/area','AreaController@index');

// Route::get('/area/{cityname}/sc{schoolid}','AreaController@school');
// Route::get('/area/{cityname}/tw{townid}','AreaController@town');
// Route::get('/area/{cityname}/st{stationid}','AreaController@station');
// //�ÓI�����̂��ߒǋL ��������
// Route::get('/area/konan','AreaController@konan');
// Route::get('/area/sakae','AreaController@sakae');
// Route::get('/area/isogo','AreaController@isogo');
// Route::get('/area/kanazawa','AreaController@kanazawa');
// Route::get('/area/minami','AreaController@minami');
// Route::get('/area/{city_name}','AreaController@city');
// //�ÓI�����̂��ߒǋL �����܂�

// Route::get('/privacy','PrivacyController@index');

// Route::get('/company','CompanyController@index');

// Route::get('/sitemap','SitemapController@index');

// Route::get('/topics','TopicsController@index');

// // favourite
// Route::get('/favorite','FavoriteController@index');
// Route::get('/favorite/update/{id}/{add}','FavoriteController@update');

// Route::get('/save','SaveController@index');

// Route::get('/history','HistoryController@index');


// Route::get('/contact/test','ContactController@test');
// Route::post('/contact','ContactController@submit')->name('contact.submit');

// // トピックス→お問い合わせ 1
// Route::get('/contact','ContactController@index');

// // 店舗→来店予約 2
// Route::get('/reserve/{id}','ReserveController@index');

// // リフォーム→お問い合わせ 3
// Route::get('/reform/contact.html','ReformController@contact');

// // リフォーム→来店予約 4
// Route::get('/reform/reserve','ReformController@reserve');

// // スタッフ→お問い合わせ 5
// // Route::get('/staff/contact','StaffController@contact');
// Route::get('/staff/contact/{staff_id}','StaffController@contact');

// // 簡易査定 6
// Route::get('/sell/simple_mansion.html','SellController@simple_mansion');
// // 簡易査定 7
// Route::get('/sell/simple_land.html','SellController@simple_land');
// // 簡易査定 8
// Route::get('/sell/simple_house.html','SellController@simple_house');

// // 訪問査定 9
// Route::get('/sell/visit_mansion.html','SellController@visit_mansion');
// // 訪問査定 10
// Route::get('/sell/visit_land.html','SellController@visit_land');
// // 訪問査定 11
// Route::get('/sell/visit_house.html','SellController@visit_house');


// // メール送信
// Route::post('/sendmail','ContactController@sendmail');

// Route::get('/buy/test','BuyController@test');









// Auth::routes();
// Authentication Routes...
$this->get('admin/login', 'Auth\LoginController@showLoginForm')->name('login');
$this->post('admin/login', 'Auth\LoginController@login');
$this->post('admin/logout', 'Auth\LoginController@logout')->name('logout');

// Registration Routes...
$this->get('admin/register', 'Auth\RegisterController@showRegistrationForm')->name('register');
$this->post('admin/register', 'Auth\RegisterController@register');

// Password Reset Routes...
$this->get('admin/password/reset', 'Auth\ForgotPasswordController@showLinkRequestForm')->name('password.request');
$this->post('admin/password/email', 'Auth\ForgotPasswordController@sendResetLinkEmail')->name('password.email');
$this->get('admin/password/reset/{token}', 'Auth\ResetPasswordController@showResetForm')->name('password.reset');
$this->post('admin/password/reset', 'Auth\ResetPasswordController@reset');

// AdminPage Routes
Route::get('/admin/top', 'Admin\TopController@index')->name('admin-top')->middleware('auth');
Route::get('/admin/test', 'Admin\TestController@index');
Route::get('/admin/test2', 'Admin\TestController@index2');
//// 物件登録
// 仮登録物件
Route::get('/admin/provisional', 'Admin\ArticleController@showProvisionalForm')->name('showProvisional')->middleware('auth');

Route::get('/admin/registImage/{id}', 'Admin\ArticleController@showRegistrationImageForm')->name('showRegistImage')->middleware('auth');
Route::post('/admin/registImage/{id}', 'Admin\ArticleController@showRegistrationImageForm')->name('showRegistImage')->middleware('auth');
Route::post('/admin/registImageSave/{id}', 'Admin\ArticleController@registImage')->name('registImage')->middleware('auth');

// 土地
Route::get('/admin/registLand', 'Admin\ArticleController@showRegistrationLandForm')->name('showRegistLand')->middleware('auth');
Route::post('/admin/registLand', 'Admin\ArticleController@registerLand')->name('registLand')->middleware('auth');
Route::get('/admin/editLand/{id}', 'Admin\ArticleController@showEditLandForm')->name('showEditLand')->middleware('auth');
Route::post('/admin/editLand/{id}', 'Admin\ArticleController@showEditLandForm')->name('showEditLand')->middleware('auth');
Route::post('/admin/editLandSave/{id}', 'Admin\ArticleController@editLand')->name('editLand')->middleware('auth');
Route::get('/admin/copyLand', 'Admin\ArticleController@showCopyLandForm')->name('showCopyLand')->middleware('auth');
Route::post('/admin/copyLand', 'Admin\ArticleController@registerCopyLand')->name('copyLand')->middleware('auth');

// 戸建
Route::get('/admin/registHouse', 'Admin\ArticleController@showRegistrationHouseForm')->name('showRegistHouse')->middleware('auth');
Route::post('/admin/registHouse', 'Admin\ArticleController@registerHouse')->name('registHouse')->middleware('auth');
Route::get('/admin/editHouse/{id}', 'Admin\ArticleController@showEditHouseForm')->name('showEditHouse')->middleware('auth');
Route::post('/admin/editHouse/{id}', 'Admin\ArticleController@showEditHouseForm')->name('showEditHouse')->middleware('auth');
Route::post('/admin/editHouseSave/{id}', 'Admin\ArticleController@editHouse')->name('editHouse')->middleware('auth');
Route::get('/admin/copyHouse', 'Admin\ArticleController@showCopyHouseForm')->name('showCopyHouse')->middleware('auth');
Route::post('/admin/copyHouse', 'Admin\ArticleController@registerCopyHouse')->name('copyHouse')->middleware('auth');
// マンション
Route::get('/admin/topMansion', 'Admin\ArticleController@showTopMansionForm')->middleware('auth');
Route::post('/admin/topMansion', 'Admin\ArticleController@showTopMansionForm')->name('search-mansion')->middleware('auth');
Route::get('/admin/registMansion', 'Admin\ArticleController@showRegistrationMansionForm')->name('regist-mansion')->middleware('auth');
Route::post('/admin/registMansion', 'Admin\ArticleController@registerMansion')->name('regist-mansion')->middleware('auth');
Route::get('/admin/editMansion/{id}', 'Admin\ArticleController@showEditMansionForm')->name('showEditMansion')->middleware('auth');
Route::post('/admin/editMansion/{id}', 'Admin\ArticleController@showEditMansionForm')->name('showEditMansion')->middleware('auth');
Route::post('/admin/editMansionSave/{id}', 'Admin\ArticleController@editMansion')->name('editMansion')->middleware('auth');
// マンションー部屋
Route::get('/admin/registRoom/{id}', 'Admin\ArticleController@showRegistrationRoomForm')->name('regist-room')->middleware('auth');
Route::post('/admin/registRoom/{id}', 'Admin\ArticleController@registerRoom')->name('regist-room')->middleware('auth');
Route::get('/admin/editRoom/{mid}/{id}', 'Admin\ArticleController@showEditRoomForm')->name('showEditRoom')->middleware('auth');
Route::post('/admin/editRoom/{mid}/{id}', 'Admin\ArticleController@showEditRoomForm')->name('showEditRoom')->middleware('auth');
Route::post('/admin/editRoomSave/{mid}/{id}', 'Admin\ArticleController@editRoom')->name('editRoom')->middleware('auth');

// 分譲地
Route::get('/admin/topLot', 'Admin\ArticleController@showTopLotForm')->middleware('auth');
Route::post('/admin/topLot', 'Admin\ArticleController@showPostTopLotForm')->name('search-lot')->middleware('auth');
Route::get('/admin/registLot', 'Admin\ArticleController@showRegistrationLotForm')->name('regist-lot')->middleware('auth');
Route::post('/admin/registLot', 'Admin\ArticleController@registerLot')->name('regist-lot')->middleware('auth');
Route::get('/admin/editLot/{id}', 'Admin\ArticleController@showEditLotForm')->name('showEditLot')->middleware('auth');
Route::post('/admin/editLot/{id}', 'Admin\ArticleController@showEditLotForm')->name('showEditLot')->middleware('auth');
Route::post('/admin/editLotSave/{id}', 'Admin\ArticleController@editLot')->name('edit-lot')->middleware('auth');
Route::get('/admin/copyLot', 'Admin\ArticleController@showCopyLotForm')->name('copy-lot')->middleware('auth');
Route::post('/admin/copyLot', 'Admin\ArticleController@copyLot')->name('copy-lot')->middleware('auth');
//// 物件検索
// 土地
Route::get('/admin/for-sale', 'Admin\SearchController@forSale')->name('admin-for-sale');
Route::post('/admin/for-sale', 'Admin\SearchController@forSaleList')->name('admin-for-sale-list');
Route::get('/admin/for-sale/detail/{id}', 'Admin\SearchController@forSaleDetail')->name('admin-for-sale-detail');
// 成約物件　検索
Route::get('/admin/close', 'Admin\SearchController@close')->name('admin-close');
Route::post('/admin/close', 'Admin\SearchController@closeList')->name('admin-close-list');
Route::get('/admin/close/detail/{id}', 'Admin\SearchController@closeDetail')->name('admin-close-detail');
// マンション建物　検索
Route::get('/admin/mansion', 'Admin\SearchController@mansion')->name('admin-mansion');
Route::post('/admin/mansion', 'Admin\SearchController@mansionList')->name('admin-mansion-list');
Route::get('/admin/mansion/detail/{id}', 'Admin\SearchController@mansionDetail')->name('admin-mansion-detail');
Route::delete("/admin/mansion/delete/{id}", 'Admin\Mansion\DeleteController@delete')->name("admin-mansion-delete");
Route::delete("/admin/mansion/delete-multi", 'Admin\Mansion\DeleteController@deleteMulti')->name("admin-mansion-delete-multi");
// 分譲地　検索
Route::get('/admin/lot', 'Admin\SearchController@lot')->name('admin-lot');
Route::post('/admin/lot', 'Admin\SearchController@lotList')->name('admin-lot-list');
Route::get('/admin/lot/detail/{id}', 'Admin\SearchController@lotDetail')->name('admin-lot-detail');


// 戸建
Route::get('/admin/searchHouse', 'Admin\ArticleController@searchHouse')->middleware('auth');
// マンション
Route::get('/admin/searchMansion', 'Admin\ArticleController@searchMansion')->middleware('auth');
// 分譲地
Route::get('/admin/searchLots', 'Admin\ArticleController@searchLots')->middleware('auth');

//// 管理情報
// レインズ取り込み
Route::get('/admin/rainsCsv', 'Admin\RainsController@show')->middleware('auth');
Route::get('/admin/duplicateCsv', 'Admin\RainsController@showDuplicate')->name('duplicateCsv')->middleware('auth');
Route::post('/admin/duplicateCsv', 'Admin\RainsController@editDuplicate')->name('duplicateCsv')->middleware('auth');
Route::get('/admin/holdDuplicateCsv', 'Admin\RainsController@showHoldDuplicate')->name('holdDuplicateCsv')->middleware('auth');
Route::post('/admin/holdDuplicateCsv', 'Admin\RainsController@editHoldDuplicate')->name('holdDuplicateCsv')->middleware('auth');
Route::get('/admin/successCsv', 'Admin\RainsController@showSuccess')->middleware('auth');

// 業者管理
Route::get('/admin/vendor', 'Admin\VendorController@show')->name('vendor-top')->middleware('auth');
Route::POST('/admin/vendor', 'Admin\VendorController@show')->name('vendor-top')->middleware('auth');
Route::get('/admin/printVendor', 'Admin\VendorController@showPrint')->name('vendor-print')->middleware('auth');
Route::POST('/admin/printVendor', 'Admin\VendorController@showPrint')->name('vendor-print')->middleware('auth');
Route::get('/admin/listVendor', 'Admin\VendorController@list')->name('vendor-search')->middleware('auth');
Route::POST('/admin/listVendor', 'Admin\VendorController@list')->name('vendor-search')->middleware('auth');
Route::get('/admin/registVendor', 'Admin\VendorController@registVendor')->name('vendor-regist')->middleware('auth');
Route::POST('/admin/registVendor', 'Admin\VendorController@regist')->name('vendor-regist')->middleware('auth');
Route::get('/admin/editVendor/{id}', 'Admin\VendorController@editVendor')->name('vendor-edit')->middleware('auth');
Route::POST('/admin/editVendor/{id}', 'Admin\VendorController@edit')->name('vendor-edit')->middleware('auth');

// 施設管理
Route::get('/admin/facility', 'Admin\FacilityController@show')->name('facility-top')->middleware('auth');
Route::POST('/admin/facility', 'Admin\FacilityController@listShow')->name('facility-top')->middleware('auth');
// Route::get('/admin/listFacility', 'Admin\FacilityController@list')->name('facility-search')->middleware('auth');
// Route::POST('/admin/listFacility', 'Admin\FacilityController@list')->name('facility-search')->middleware('auth');
Route::get('/admin/registFacility', 'Admin\FacilityController@registFacility')->name('facility-regist')->middleware('auth');
Route::POST('/admin/registFacility', 'Admin\FacilityController@regist')->name('facility-regist')->middleware('auth');
Route::get('/admin/editFacility/{id}', 'Admin\FacilityController@editFacility')->name('facility-edit')->middleware('auth');
Route::POST('/admin/editFacility/{id}', 'Admin\FacilityController@edit')->name('facility-edit')->middleware('auth');



//// HP管理
// お知らせ
Route::get('/admin/news', 'Admin\NewsController@showNews')->name('news')->middleware('auth');
Route::get('/admin/registNews', 'Admin\NewsController@registNewsForm')->name('news-regist')->middleware('auth');
Route::post('/admin/registNews', 'Admin\NewsController@registNews')->name('news-regist')->middleware('auth');
Route::get('/admin/editNews/{id}', 'Admin\NewsController@editNewsForm')->name('news-edit')->middleware('auth');
Route::post('/admin/editNews/{id}', 'Admin\NewsController@editNews')->name('news-edit')->middleware('auth');
// おすすめ物件
Route::get('/admin/recommend', 'Admin\RecommendController@showRecommend')->name('recommend')->middleware('auth');
Route::get('/admin/registRecommend', 'Admin\RecommendController@registRecommendForm')->name('recommend-regist')->middleware('auth');
Route::post('/admin/registRecommend', 'Admin\RecommendController@registRecommendForm')->name('recommend-regist')->middleware('auth');
// リフォーム事例
Route::get('/admin/reform', 'Admin\ReformController@showReform')->name('reform')->middleware('auth');
Route::get('/admin/registReform', 'Admin\ReformController@registReformForm')->name('reform-regist')->middleware('auth');
Route::post('/admin/registReform', 'Admin\ReformController@registReform')->name('reform-regist')->middleware('auth');
Route::get('/admin/editReform/{id}', 'Admin\ReformController@editReformForm')->name('reform-edit')->middleware('auth');
Route::post('/admin/editReform/{id}', 'Admin\ReformController@editReform')->name('reform-edit')->middleware('auth');
// よくある質問
Route::get('/admin/question', 'Admin\QuestionController@show')->middleware('auth');
// お客様の声
Route::get('/admin/voice', 'Admin\VoiceController@show')->middleware('auth');
// 店舗情報
Route::get('/admin/store', 'Admin\StoreController@showStore')->name('store')->middleware('auth');
Route::get('/admin/registStore', 'Admin\StoreController@registStoreForm')->name('store-regist')->middleware('auth');
Route::post('/admin/registStore', 'Admin\StoreController@registStore')->name('store-regist')->middleware('auth');
Route::get('/admin/editStore/{id}', 'Admin\StoreController@editStoreForm')->name('store-edit')->middleware('auth');
Route::post('/admin/editStore/{id}', 'Admin\StoreController@editStore')->name('store-edit')->middleware('auth');

//// ユーザー設定
// ユーザ設定
Route::get('/admin/user', 'Admin\UserController@show')->name('user-top')->middleware('auth');
Route::get('/admin/staffList', 'Admin\UserController@listUser')->name('staff-list')->middleware('auth');

Route::get('/admin/staffCreate/{type}', 'Admin\UserController@createUser')->name('staff-create')->middleware('auth');
Route::post('/admin/staffCreate/{type}', 'Admin\UserController@create')->name('staff-create')->middleware('auth');

Route::get('/admin/staffEdit/{id}', 'Admin\UserController@editUser')->name('staff-edit')->middleware('auth');
Route::post('/admin/staffEdit/{id}', 'Admin\UserController@edit')->name('staff-edit')->middleware('auth');

Route::get('/admin/customProf', 'Admin\UserController@customProf')->name('custom-item')->middleware('auth');
Route::post('/admin/customProf', 'Admin\UserController@registCustom')->name('custom-item')->middleware('auth');


Route::get('/admin/adminRegist', 'Admin\UserController@registPasswordForm')->name('change-password')->middleware('auth');
Route::post('/admin/adminRegist', 'Admin\UserController@registPassword')->name('change-password')->middleware('auth');


Route::get('/admin/webRegist', 'Admin\UserController@registPasswordForm')->name('change-password')->middleware('auth');
Route::post('/admin/webRegist', 'Admin\UserController@registPassword')->name('change-password')->middleware('auth');

Route::get('/admin/userInfo', 'Admin\UserController@editUserMe')->name('staff-edit-me')->middleware('auth');
Route::post('/admin/userInfo', 'Admin\UserController@editMe')->name('staff-edit-me')->middleware('auth');



//// ajax用
// レインズデータの登録
Route::post('/admin/save_rains_data', 'Admin\Ajax\AjaxController@saveRains')->middleware('auth');
// 検索
Route::post('/admin/get_count', 'Admin\Ajax\AjaxController@getSearchCount')->middleware('auth');
Route::post('/admin/get_count_close', 'Admin\Ajax\AjaxController@getSearchCountClose')->middleware('auth');
Route::post('/admin/get_count_mansion', 'Admin\Ajax\AjaxController@getSearchCountMansion')->middleware('auth');
Route::post('/admin/get_count_lot', 'Admin\Ajax\AjaxController@getSearchCountLot')->middleware('auth');
// 駐車場
Route::post('/admin/get_parking', 'Admin\Ajax\AjaxController@getParking')->middleware('auth');

// 都道府県
Route::post('/admin/pref', 'Admin\Ajax\AjaxController@changeAddressPref')->middleware('auth');
// 市区郡
Route::post('/admin/city', 'Admin\Ajax\AjaxController@changeAddressCity')->middleware('auth');
Route::post('/admin/city_name', 'Admin\Ajax\AjaxController@changeAddressCityName')->middleware('auth');
Route::post('/admin/city_search', 'Admin\Ajax\AjaxController@changeAddressCityToSearch')->middleware('auth');
// 座標
Route::post('/admin/latlng', 'Admin\Ajax\AjaxController@get_gps_from_address')->middleware('auth');
// 画像
Route::post('/admin/setImage', 'Admin\Ajax\AjaxController@setImage')->middleware('auth');
// csv
Route::post('/admin/uploadCsv', 'Admin\Ajax\AjaxController@uploadCsv')->middleware('auth');
// ユーザー削除
Route::post('/admin/deleteUser', 'Admin\Ajax\AjaxController@deleteUser')->middleware('auth');
// お知らせ削除
Route::post('/admin/deleteNews', 'Admin\Ajax\AjaxController@deleteNews')->middleware('auth');
// 施設削除
Route::post('/admin/deleteFacility', 'Admin\Ajax\AjaxController@deleteFacility')->middleware('auth');
// 店舗削除
Route::post('/admin/deleteStore', 'Admin\Ajax\AjaxController@deleteStore')->middleware('auth');
// おすすめ登録
Route::post('/admin/saveRecommend', 'Admin\Ajax\AjaxController@saveRecommend')->middleware('auth');
// おすすめ削除
Route::post('/admin/deleteRecommend', 'Admin\Ajax\AjaxController@deleteRecommend')->middleware('auth');
// おすすめソート
Route::post('/admin/set_recommend_rank', 'Admin\Ajax\AjaxController@setRecommendRank')->middleware('auth');
// リフォーム削除
Route::post('/admin/deleteReform', 'Admin\Ajax\AjaxController@deleteReform')->middleware('auth');
// リフォームソート
Route::post('/admin/set_reform_rank', 'Admin\Ajax\AjaxController@setReformRank')->middleware('auth');
// 取扱店舗
Route::post('/admin/search_charge', 'Admin\Ajax\AjaxController@searchShopCharge')->middleware('auth');


Route::post('/admin/article_photo_save', 'Admin\Ajax\AjaxController@uploadArticleImage')->middleware('auth');


// 路線_駅
Route::post('/admin/search_station_line', 'Admin\Ajax\AjaxController@changeAccess1')->middleware('auth');
// 都道府県_駅
Route::post('/admin/pref_station', 'Admin\Ajax\AjaxController@changeAddressPrefStation')->middleware('auth');
Route::post('/admin/search_line', 'Admin\Ajax\AjaxController@getLine')->middleware('auth');
// 市区郡_駅
Route::post('/admin/city_station', 'Admin\Ajax\AjaxController@changeAddressCityStation')->middleware('auth');
Route::post('/admin/search_station', 'Admin\Ajax\AjaxController@getStation')->middleware('auth');
// 業者登録
Route::post('/admin/save_vendor', 'Admin\Ajax\AjaxController@saveVendor')->middleware('auth');
Route::post('/business/save_vendor', 'Admin\Ajax\AjaxController@saveVendorBusiness')->middleware('auth');
//　施設管理
Route::post('/admin/search_facility', 'Admin\Ajax\AjaxController@searchFacility')->middleware('auth');
Route::post('/admin/search_facility_info', 'Admin\Ajax\AjaxController@searchFacilityData')->middleware('auth');
Route::post('/admin/facility_property', 'Admin\Ajax\AjaxController@searchFacilityProperty')->middleware('auth');

// 学校検索
Route::post('/admin/search_e_school', 'Admin\Ajax\AjaxController@changeAddressCityESchool')->middleware('auth');
// 学校検索
Route::post('/admin/search_j_school', 'Admin\Ajax\AjaxController@changeAddressCityJSchool')->middleware('auth');

// ユーザー表示
Route::post('/admin/disp_user', 'Admin\Ajax\AjaxController@changeDispUser')->middleware('auth');
// リフォーム表示
Route::post('/admin/disp_reform', 'Admin\Ajax\AjaxController@changeDispReform')->middleware('auth');
// お知らせ表示
Route::post('/admin/disp_news', 'Admin\Ajax\AjaxController@changeDispNews')->middleware('auth');
// 店舗表示
Route::post('/admin/disp_store', 'Admin\Ajax\AjaxController@changeDispStore')->middleware('auth');

Route::post('/admin/save_vendor_info', 'Admin\Ajax\AjaxController@saveVendorInfo')->middleware('auth');

// 削除
Route::post('/admin/article_del', 'Admin\Ajax\AjaxController@delArticle')->middleware('auth');


Route::post('/admin/save_tmp_store', 'Admin\Ajax\AjaxController@saveTmpImageStore')->middleware('auth');
Route::post('/admin/save_tmp_reform', 'Admin\Ajax\AjaxController@saveTmpImageReform')->middleware('auth');

Route::post('/admin/del_store_tmpimage', 'Admin\Ajax\AjaxController@delStoreTmpImage')->middleware('auth');
Route::post('/admin/del_reform_tmpimage', 'Admin\Ajax\AjaxController@delReformTmpImage')->middleware('auth');

Route::post('/admin/del_store_image', 'Admin\Ajax\AjaxController@delStoreImage')->middleware('auth');
Route::post('/admin/del_reform_image', 'Admin\Ajax\AjaxController@delReformImage')->middleware('auth');

Route::get('/admin/parts', 'Admin\PartsController@index')->middleware('auth');
// parts
Route::get('/admin/addparts', 'Admin\PartsController@setParts')->middleware('auth');
Route::post('/admin/search_lot', 'Admin\Ajax\AjaxController@searchLot')->middleware('auth');
Route::post('/admin/search_lot_building', 'Admin\Ajax\AjaxController@searchLotBuild')->middleware('auth');
Route::post('/admin/search_vendor', 'Admin\Ajax\AjaxController@searchVendor')->middleware('auth');

Route::post('/admin/save_change_vendor', 'Admin\Ajax\AjaxController@saveChangeVendor')->middleware('auth');
Route::post('/admin/provisional_del', 'Admin\Ajax\AjaxController@delProvisional')->middleware('auth');
Route::post('/admin/regist_search_facility', 'Admin\Ajax\AjaxController@searchFacilityShop')->middleware('auth');
Route::post('/admin/save_vendor_search', 'Admin\Ajax\AjaxController@saveSearchVendor')->middleware('auth');

// 営業向け画面（business）
Route::get('/business/top', 'Business\TopController@index')->name('business-top');

// 売出物件　検索
Route::get('/business/for-sale', 'Business\SearchController@forSale')->name('business-for-sale');
Route::post('/business/for-sale', 'Business\SearchController@forSaleList')->name('business-for-sale-list');
Route::post('/business/for-sale/detail/{detail_id}', 'Business\SearchController@forSaleDetail')->name('business-for-sale-detail');
Route::post('/business/for-sale/parentDetail/{detail_id}', 'Business\SearchController@mansionParentDetail');

Route::post('/business/for-sale/singlePrint', 'Business\SearchController@forSaleSinglePrint')->name('business-for-sale-print');
Route::post('/business/for-sale/multiPrint', 'Business\SearchController@forSaleMultiPrint')->name('business-for-sale-setprint');
Route::post('/business/for-sale/singlePrintVendor', 'Business\SearchController@forSaleSinglePrintVendor')->name('business-for-sale-print-vendor');
Route::post('/business/for-sale/multiPrintVendor', 'Business\SearchController@forSaleMultiPrintVendor')->name('business-for-sale-setprint-vendor');

Route::post('/business/for-sale/singlePrintSet1', 'Business\SearchController@forSaleSinglePrintSet1')->name('business-for-sale-print-set1');
Route::post('/business/for-sale/multiPrintSet1', 'Business\SearchController@forSaleMultiPrintSet1')->name('business-for-sale-setprint-set1');

Route::post('/business/for-sale/singlePrintSet2', 'Business\SearchController@forSaleSinglePrintSet2')->name('business-for-sale-print-set2');
Route::post('/business/for-sale/multiPrintSet2', 'Business\SearchController@forSaleMultiPrintSet2')->name('business-for-sale-setprint-set2');

Route::post('/business/for-sale/singlePrintSet3', 'Business\SearchController@forSaleSinglePrintSet3')->name('business-for-sale-print-set3');
Route::post('/business/for-sale/multiPrintSet3', 'Business\SearchController@forSaleMultiPrintSet3')->name('business-for-sale-setprint-set3');


Route::post('/business/for-sale/singlePdfVendor', 'Business\SearchController@forSaleSinglePdfVendor')->name('business-for-sale-pdf-vendor');
Route::post('/business/for-sale/multiPdfVendor', 'Business\SearchController@forSaleMultiPdfVendor')->name('business-for-sale-setpdf-vendor');

Route::post('/business/for-sale/singlePdf', 'Business\SearchController@forSaleSinglePdf')->name('business-for-sale-pdf');
Route::post('/business/for-sale/multiPdf', 'Business\SearchController@forSaleMultiPdf')->name('business-for-sale-setpdf');

Route::post('/business/for-sale/singlePdfSet1', 'Business\SearchController@forSaleSinglePdfSet1')->name('business-for-sale-pdf-set1');
Route::post('/business/for-sale/multiPdfSet1', 'Business\SearchController@forSaleMultiPdfSet1')->name('business-for-sale-setpdf-set1');

Route::post('/business/for-sale/singlePdfSet2', 'Business\SearchController@forSaleSinglePdfSet2')->name('business-for-sale-pdf-set2');
Route::post('/business/for-sale/multiPdfSet2', 'Business\SearchController@forSaleMultiPdfSet2')->name('business-for-sale-setpdf-set2');

Route::post('/business/for-sale/singlePdfSet3', 'Business\SearchController@forSaleSinglePdfSet3')->name('business-for-sale-pdf-set3');
Route::post('/business/for-sale/multiPdfSet3', 'Business\SearchController@forSaleMultiPdfSet3')->name('business-for-sale-setpdf-set3');

// 成約物件　検索
Route::get('/business/close', 'Business\SearchController@close')->name('business-close');
Route::post('/business/close', 'Business\SearchController@closeList')->name('business-close-list');
Route::post('/business/close/detail/{detail_id}', 'Business\SearchController@closeDetail')->name('business-close-detail');

// マンション建物　検索
Route::get('/business/mansion', 'Business\SearchController@mansion')->name('business-mansion');
Route::post('/business/mansion', 'Business\SearchController@mansionList')->name('business-mansion-list');
Route::post('/business/mansion/parentDetail/{detail_id}', 'Business\SearchController@mansionParentDetail')->name('business-parent-detail');
Route::post('/business/mansion/detail/{detail_id}', 'Business\SearchController@forSaleDetail')->name('business-mansion-detail');

// 分譲地　検索
Route::get('/business/lot', 'Business\SearchController@lot')->name('business-lot');
Route::post('/business/lot', 'Business\SearchController@lotList')->name('business-lot-list');
Route::post('/business/lot/parentDetail/{id}', 'Business\SearchController@lotParentDetail')->name('business-lot-detail');
Route::post('/business/lot/detail/{id}', 'Business\SearchController@forSaleDetail')->name('business-lot-detail');

// 印刷
Route::post('/business/listPrint', 'Business\SearchController@listPrint')->name('business-list-print');
Route::post('/business/print', 'Business\SearchController@print')->name('business-print');
// sample modal
Route::get('/business/sample', 'Business\SearchController@sample');
Route::get('/business/sample2', 'Business\SearchController@sample2');
